
%define rel 1

Name: libkmahjongg
Summary: Library used for loading and rendering of Mahjongg tilesets
Version: 16.04.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://games.kde.org/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5completion-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5widgets-devel

%description 
This package provides the library for loading and rendering of Mahjongg tilesets
and associated backgrounds, used by KMahjongg and KShisen.


#------------------------------------------------------------------------------

%package -n kmahjongglib
Summary: Common files needed by KMahjongg and KShisen
Group: Graphical desktop/KDE5

%description -n kmahjongglib
Common files needed by KMahjongg and KShisen.

%files -n kmahjongglib
%_kf5_datadir/kmahjongglib

#-------------------------------------------------------------------------------

%define libkmahjongglib_major 5
%define libkmahjongglib %mklibname kf5mahjongglib %{libkmahjongglib_major}

%package -n %libkmahjongglib
Summary: Runtime library for kmahjongg
Group: Graphical desktop/KDE5

%description -n %libkmahjongglib
Runtime library for kmahjongg. 

%files -n %libkmahjongglib
%_kf5_libdir/libKF5KMahjongglib.so.%{libkmahjongglib_major}*

#-------------------------------------------------------------------------------
%define libkmahjongglib_devel %mklibname kf5mahjongglib -d

%package -n %libkmahjongglib_devel
Summary: Headers files for libkmahjongg
Group: Development/Libraries
Requires: %libkmahjongglib

%description -n %libkmahjongglib_devel
Headers files needed to build applications based on kdegames applications.

%files -n %libkmahjongglib_devel
%_kf5_libdir/*.so
%_kf5_includedir/*
%_kf5_libdir/cmake/KF5KMahjongglib

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Jun 06 2016 bb <bb> 16.04.2-1pclos2016
- update

